<template>
    <a-layout-content :style="{ padding: '0 50px', marginTop: '64px' }">
        <a-breadcrumb :style="{ margin: '16px 0' }">
            <!-- <a-breadcrumb-item>Home</a-breadcrumb-item>
        <a-breadcrumb-item>List</a-breadcrumb-item>
        <a-breadcrumb-item>App</a-breadcrumb-item> -->
        </a-breadcrumb>
        <div :style="{ background: '#fff', padding: '24px', minHeight: '380px', textAlign: 'center' }" v-if="user?.id">You are already logged in 🎊🎊</div>
        <div :style="{ background: '#fff', padding: '24px', minHeight: '380px', textAlign: 'center' }" v-else>You are not logged in <FrownOutlined /></div>
    </a-layout-content>

    <a-layout-footer :style="{ textAlign: 'center' }"> Ant Design ©2018 Created by Ant UED </a-layout-footer>
</template>
<script lang="ts" setup>
// const authStore = useAuthStore();
const { $axios } = useNuxtApp();
const userStore = useUserStore();
const { user } = storeToRefs(userStore);

// onMounted(async () => {
//     await $axios.get('user-profile').then((res) => {
//         console.log('user profile');
        
//        console.log(res.data);
       
//     }).catch((err) => {
//         console.log(err);
//     });
// });

</script>
<style scoped>
#components-layout-demo-fixed .logo {
    width: 120px;
    height: 31px;
    background: rgba(255, 255, 255, 0.2);
    margin: 16px 24px 16px 0;
    float: left;
}
.site-layout .site-layout-background {
    background: #fff;
}

[data-theme="dark"] .site-layout .site-layout-background {
    background: #141414;
}
</style>
